PDA

View Full Version : resolution failed?



superfastbob
17th January 2010, 04:17 PM
Hi all, I run Fedora 11, and recent updates have failed to pass resolution due to the below problem
libGraphicsMagick.so.1 is needed by package dvdauthor-0.6.14-8.fc11.i586.
I can't find the LibGraphics package in the update list to remove it so I'm puzzled.

any advice? This has gone on since monday or tuesday I think. thanks bob

PabloTwo
17th January 2010, 05:09 PM
The "libGraphicsMagick.so.1" file is provided by the package "GraphicsMagick". I'm guessing that your F11 updates includes an update to GraphicsMagic package, which very well might have deprecated (removed) libGraphicsMagic.so.1, resulting in the dependency error for dvdauthor you see.

[BASH:~/-> rpm -qp --requires http://mirror.vcu.edu/pub/gnu+linux/fedora/releases/11/Everything/i386/os/Packages/dvdauthor-0.6.14-8.fc11.i586.rpm
........
/bin/sh
libGraphicsMagick.so.1
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libc.so.6(GLIBC_2.7)
libdvdread.so.4
libfreetype.so.6
libm.so.6
---<snip>---
You could try doing your update using yum and exclude the problem package:

yum update --exclude=GraphicsMagick

superfastbob
17th January 2010, 06:15 PM
thanks so much Pablo Two. will try this later.